Package org.kapott.hbci.sepa.jaxb.camt_052_001_06

# Class GenericIdentification3

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_06.GenericIdentification3

public class GenericIdentification3 extends Object

Java class for GenericIdentification3 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GenericIdentification3">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Id" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}Max35Text"/>
             <element name="Issr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}Max35Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`id`
`protected String`
`issr`

## Constructor Summary

Constructors
Constructor
Description
`GenericIdentification3()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getId()`
Gets the value of the id property.
`String`
`getIssr()`
Gets the value of the issr property.
`void`
`setId(String value)`
Sets the value of the id property.
`void`
`setIssr(String value)`
Sets the value of the issr property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### id

protected String id

### issr

protected String issr

## Constructor Details

### GenericIdentification3

public GenericIdentification3()

## Method Details

### getId

public String getId()
Gets the value of the id property.

Returns:
  possible object is `String`

### setId

public void setId(String value)
Sets the value of the id property.

Parameters:
  `value` - allowed object is `String`

### getIssr

public String getIssr()
Gets the value of the issr property.

Returns:
  possible object is `String`

### setIssr

public void setIssr(String value)
Sets the value of the issr property.

Parameters:
  `value` - allowed object is `String`